package com.sundata.internalevaluation.calc.custom;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-02-14 17:12:49
 * @description: 测试Java方法获取参数
 */
public class GetDataTest {

    private static final String YYYYMMDDHHMMSS = "yyyyMMddHHmmss";
    private static final String YYYYMMDD = "yyyyMMdd";
    private static final String HHMMSS = "HHmmss";
    private static final String YYYY_MM_DD_HH_MM_SS = "yyyy-MM-dd HH:mm:ss";
    private static final String YYYY_MM_DD = "yyyy-MM-dd";
    private static final String HH_MM_SS = "HH:mm:ss";

    public String getDateTimeNumber() {
        return getStr(YYYYMMDDHHMMSS);
    }
    public String getDateNumber() {
        return getStr(YYYYMMDD);
    }
    public String getTimeNumber() {
        return getStr(HHMMSS);
    }
    public String getDateTime() {
        return getStr(YYYY_MM_DD_HH_MM_SS);
    }
    public String getDate() {
        return getStr(YYYY_MM_DD);
    }
    public String getTime() {
        return getStr(HH_MM_SS);
    }

    public String getStr(String format) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(format);
        return simpleDateFormat.format(nowDate());
    }

    public Date nowDate() {
        return new Date();
    }


    public int getInt(int i) {
        return i;
    }


    public String getString(String str) {
        return str;
    }


//    public void aa() {
//        // 模板字符${value}的正则表达式
//        String regex = "\\$\\{([^}]+)}";
//        // 生成正则表达式对象
//        Pattern pattern = Pattern.compile(regex);
//
//        // 应入参数
//        String[] values = {"workDate","account","orgcode","TaskId","TaskSerialNum"};
//        // 替换模板字符用
//        Map<String,String> inputMap = new HashMap<String,String>();
//        // 造假参数
//        inputMap.put("workDate","'a'");
//        inputMap.put("account","'a'");
//        inputMap.put("orgcode","'a'");
//        inputMap.put("TaskId","'a'");
//        inputMap.put("TaskSerialNum","'a'");
//        // 使用apache的StrSubstitutor替换模板字符
//        StrSubstitutor sub = new StrSubstitutor(inputMap);
//
//
//        // 对请求中的数据逻辑说明的sql进行正则匹配
//        Matcher matcher = pattern.matcher(relationModel.getSqlCode());
//        // 判断缺失参数用
//        ArrayList<String> paramList = new ArrayList<String>(Arrays.asList(values));
//        // 游标
//        int matcherCount = 0;
//        // 检查开始
//        while (matcher.find()) {
//            if (!paramList.contains(matcher.group(1))) {
//                String err = "数据初始化逻辑中，该参数[" + matcher.group(1) + "]不应存在!";
//                log.error(err);
//                throw new BusinessException(err);
//            } else {
//                // 排除不缺失参数
//                paramList.remove(matcher.group(1));
//            }
//            matcherCount++;
//        }
//
//        // 假参数赋值
//        String resolvedString = sub.replace(relationModel.getSqlCode());
//    }



    public static void main(String[] args) {
        String sql = "select * from a where a = ${a} and b = ${b} and c =${a}";
        Map<String, Object> map = new HashMap<>();

        map.put("a", "isA");
        map.put("b", "isB");


//        bb(sql, map);
    }

}
