package com.sundata.internalevaluation.calc.model;

import java.util.concurrent.ConcurrentHashMap;

public class CalcResult<K, V> extends ConcurrentHashMap<K, V> {

    /**
     * 计算流水号
     */
    private final String calculateInstanceNumber;

    public CalcResult(String calculateInstanceNumber) {
        this.calculateInstanceNumber = calculateInstanceNumber;
    }

    public String getCalculateInstanceNumber() {
        return calculateInstanceNumber;
    }
}
