package com.sundata.internalevaluation.calc.model.finals;

public enum CalcType {

    INTERFACE("接口"),
    INTERFACEPARAM("接口参数"),
    RULE("规则"),
    RULES("规则集"),
    DATASET("数据集"),
    INDEX("指标"),
    INDEXLIST("指标清单"),
    MODEL("模型"),
    DATAITEM("数据项"),
    QUERYLOGIC("查询逻辑"),
    INPUTPARAM("输入参数"),


    DATASOURCES("数据来源")


    ;

    private final String name ;
    private String id;

    CalcType(String name){
        this.name = name;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return name;
    }
}
