package com.sundata.internalevaluation.configuration.mapper;

import com.sundata.internalevaluation.configuration.model.IndexListModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface IndexListConfigMapper {

    List<IndexListModel> getDataList(IndexListModel model);

    void createData(@Param("model")IndexListModel model);

    void createAssociation(IndexListModel model);

    void deleteRows(String indexListNo);

    void deleteAssociation(String indexListNo);

    void updateExistData(IndexListModel model);

    IndexListModel selectDetailData(IndexListModel model);

    List<IndexListModel> selectAssociation(IndexListModel model);
}
